#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"

using namespace std;

struct Input {
    vector<double> dn;
    vector<double> numbers;
    size_t bin_count{};
    size_t number_count{};
    size_t max_count{};
};

Input
input_data(istream& cin, bool prompt) {
    if (prompt == true){
    Input in;
    cerr << "Enter number count: ";
    cin >> in.number_count;
    vector<double> numbers(in.number_count);
    in.numbers.resize(in.number_count);
    for (size_t i = 0; i < in.number_count; i++) {
        cin >> in.numbers[i];
    }
    size_t bin_count;
    cerr << "Enter bin count: ";
    cin >> in.bin_count;

    size_t max_count;
    in.max_count = 0;
    return in;
    }
    else{
    Input in;
    cin >> in.number_count;
    vector<double> numbers(in.number_count);
    in.numbers.resize(in.number_count);
    for (size_t i = 0; i < in.number_count; i++) {
        cin >> in.numbers[i];
    }
    size_t bin_count;
    cin >> in.bin_count;

    size_t max_count;
    in.max_count = 0;
    return in;
    }
}



int main(){

    bool res = false;

    auto in = input_data(cin, true);

    auto bins = make_histogram(in.numbers, in.bin_count);

    show_histogram_svg(bins);


    }
